Bug 1094865 - .Ear deployments in FSW may fail, depending on ordering.
Summary: .Ear deployments in FSW may fail, depending on ordering.
Keywords:
Status: MODIFIED
Alias: None
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: SwitchYard
Version: 6.0.0 GA
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: One-off release
Assignee: Len DiMaggio
QA Contact: Matej Melko
URL:
Whiteboard:
Depends On: 1067501
Blocks: 1067642
TreeView+ depends on / blocked
 
Reported: 2014-05-06 16:13 UTC by Rick Wagner
Modified: 2019-11-25 22:29 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 1067501
Environment:
Last Closed:
Type: Support Patch


Attachments (Terms of Use)
Source and diff files from community branch used for patch. (5.00 KB, application/zip)
2014-05-14 22:44 UTC, Rick Wagner
no flags Details
Fix jar, made with make-mead (161.05 KB, application/x-java-archive)
2014-06-02 17:31 UTC, Rick Wagner
no flags Details
Sources produced by the build, for future use. (102.80 KB, application/x-java-archive)
2014-06-02 17:32 UTC, Rick Wagner
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Issue Tracker SWITCHYARD-1979 Critical Resolved Threads started from Camel do not have correct namespace context 2018-01-28 19:09:21 UTC
Red Hat Issue Tracker SWITCHYARD-2124 Critical Resolved Threads started by SwitchYard do not have correct namespace context 2018-01-28 19:09:22 UTC

Comment 1 Rick Wagner 2014-05-06 16:16:47 UTC
This problem was originally considered closely related to it's parent (BZ1067501) but customer feedback indicates some variations of the problem still exist.

Details about the customer scenario are available on the linked customer support case.  A replicator is provided at https://github.com/jorgemoralespou/fsw-demo/tree/master/fsw-ear-problem

Thank you,

Rick

Comment 5 Rick Wagner 2014-05-14 22:44:55 UTC
Created attachment 895660 [details]
Source and diff files from community branch used for patch.

Comment 7 Rick Wagner 2014-06-02 17:31:48 UTC
Created attachment 901511 [details]
Fix jar, made with make-mead

Comment 8 Rick Wagner 2014-06-02 17:32:23 UTC
Created attachment 901512 [details]
Sources produced by the build, for future use.


Note You need to log in before you can comment on or make changes to this bug.